nav {
  display: flex;
  justify-content: center;
  gap: 2rem;
  padding: 2rem;
  color: white;
  //glassmorphism background;
  background: rgba(255, 255, 255, 0.05);
  a {
    position: relative;
    text-decoration: none;
    color: #fff;
  }

  a::after {
    content: "";
    display: block;
    position: absolute;
    left: 0;
    bottom: -2px;
    width: 0;
    height: 2px;
    background-color: #fff;
    transition: width 0.3s;
    transform-origin: left;
  }

  a:hover::after, a.active::after {
    width: 100%;
    transform: scaleX(1);
  }
}
